<div id="products" class="page-layout carded fullwidth" fusePerfectScrollbar>

  <div class="top-bg " [ngClass]="secondColorBrand"></div>

  <div class="center">

    <div class="white-fg" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center"
      style="padding-top: 20px;">

      <!-- APP TITLE -->
      <div class="logo my-6 m-sm-0" fxLayout="row" fxLayoutAlign="start center">
        <mat-icon class="logo-icon mr-16" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">description</mat-icon>
        <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Contratos</span>
      </div>
      <div class="search-input-wrapper mx-6  m-md-0" fxFlex="1 0 auto" fxLayout="row" fxFlex="20" fxLayoutAlign="start center"></div>

      <!-- SEARCH -->
      <div class="search-input-wrapper mx-6  m-md-0" fxFlex="1 0 auto" fxLayout="row" fxFlex="40" fxLayoutAlign="start center">
        <label for="search" class="mr-6">
          <mat-icon class="secondary-text">search</mat-icon>
        </label>
        <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
          <input matInput id="search" #filter (keyup)='searchOnChange($event)' placeholder="Informe o nome do Cliente ou a Placa">
        </mat-form-field>
      </div>
      <!-- /SEARCH -->
      <div class="search-input-wrapper mx-6  m-md-0" fxFlex="1 0 auto" fxLayout="row" fxFlex="40" fxLayoutAlign="start center"></div>


    </div>

    <div class="white-fg" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-xs="row" style="padding-bottom: 5px;"
      fxLayoutAlign.gt-xs="space-between center">

      <div class="search-input-wrapper mx-6 m-md-0" fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">

        <form [formGroup]="searchForm" novalidate fxFlex="100" fxLayoutAlign="start center" fxLayoutGap="10px">

          <mat-form-field fxFlex="50">
            <mat-select placeholder="Marca" formControlName="brand" (selectionChange)="onListValueChanged()">
              <mat-option *ngFor="let brand of brandList" [value]="brand.id">
                {{ brand.name }}
              </mat-option>
            </mat-select>
          </mat-form-field>

          <mat-form-field fxFlex="50">
            <mat-select placeholder="Status de Pagamento" formControlName="statusPayment" (selectionChange)="onListValueChanged()">
              <mat-option *ngFor="let status of paymentStatusList" [value]="status.key">
                {{ status.value }}
              </mat-option>
            </mat-select>
          </mat-form-field>

          <mat-form-field fxFlex="50">
            <mat-select placeholder="Status do Plano" formControlName="status" (selectionChange)="onListValueChanged()">
              <mat-option *ngFor="let status of planStatusList" [value]="status.key">
                {{ status.value }}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </form>


      </div>
    </div>

    <!-- <div class="header white-fg"
             fxLayout="column" fxLayoutAlign="center center"
             fxLayout.gt-xs="row" fxLayoutAlign.gt-xs="space-between center">
  
           
            <div class="logo my-12 m-sm-0"
                 fxLayout="row" fxLayoutAlign="start center">
                <mat-icon class="logo-icon mr-16" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">description</mat-icon>
                <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Contratos</span>
            </div>

            <div class="search-input-wrapper mx-6 m-md-0"
                    fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
                <label for="search" class="mr-8">
                    <mat-icon class="secondary-text">search</mat-icon>
                </label>
                <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
                    <input matInput id="search" #filter (keyup)='searchOnChange($event)' placeholder="Informe o nome do Cliente ou a Placa">
                </mat-form-field>
            </div>

            <div class="search-input-wrapper mx-8 m-md-0"
                    fxFlex="1 0 auto" 
                    fxLayout="row" fxLayoutAlign="start center">

                
                <form [formGroup]="searchForm" novalidate
                    fxFlex="100" fxLayoutAlign="start center" fxLayoutGap="10px">

                    <mat-form-field fxFlex="50">
                            <mat-select placeholder="Marca" formControlName="brand" (selectionChange)="onListValueChanged()">
                                <mat-option *ngFor="let brand of brandList" [value]="brand.id">
                                {{ brand.name }}
                                </mat-option>
                            </mat-select>
                    </mat-form-field> 


                    <mat-form-field fxFlex="50">
                            <mat-select placeholder="Status de Pagamento" formControlName="statusPayment" (selectionChange)="onListValueChanged()">
                                <mat-option *ngFor="let status of paymentStatusList" [value]="status.key">
                                {{ status.value }}
                                </mat-option>
                            </mat-select>
                    </mat-form-field> 

                    <mat-form-field fxFlex="50">
                            <mat-select placeholder="Status do Plano" formControlName="status" (selectionChange)="onListValueChanged()">
                                <mat-option *ngFor="let status of planStatusList" [value]="status.key">
                                {{ status.value }}
                                </mat-option>
                            </mat-select>
                    </mat-form-field> 
                </form>
            </div>

        </div> -->

    <div class="content-card mat-white-bg">

      <mat-table class="products-table" #table [dataSource]="dataSource" [@animateStagger]="{value:'50'}"
        fusePerfectScrollbar matSort  matSortDirection="asc" matSortDisableClear>

        <ng-container cdkColumnDef="statusColor">
          <mat-header-cell *cdkHeaderCellDef class="white-fg"></mat-header-cell>
          <mat-cell *cdkCellDef="let element" [ngClass]="planColorStatusEnumToString(element.status)">

          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="space">
          <mat-header-cell *cdkHeaderCellDef class="white-fg"></mat-header-cell>
          <mat-cell *cdkCellDef="let element">

          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="userName">
          <mat-header-cell *cdkHeaderCellDef class="white-fg">Cliente </mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.relationships?.user?.name}}</p>
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="brand">
          <mat-header-cell *cdkHeaderCellDef class="white-fg">Marca </mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.brandObj?.name}}</p>
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="licensePlate">
          <mat-header-cell *cdkHeaderCellDef class="white-fg">Placa do Veículo</mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.relationships?.vehicle?.licensePlate | uppercase}}</p>
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="status">
          <mat-header-cell *cdkHeaderCellDef mat-sort-header style="text-align: center" class="white-fg">Status</mat-header-cell>

          <mat-cell *cdkCellDef="let element" style="text-align: center">
            <mat-chip-list>
              <mat-chip [ngClass]="planColorStatusLightEnumToString(element.status)" style="width:100px; text-align: center;"
                selected> {{ planStatusEnumToString(element.status)}}</mat-chip>
            </mat-chip-list>
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="offerName">
          <mat-header-cell *cdkHeaderCellDef class="white-fg">Plano</mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.relationships?.offer?.name}}</p>
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="debt">
          <mat-header-cell *cdkHeaderCellDef mat-sort-header style="text-align: center" class="white-fg">Status do
            Pagamento</mat-header-cell>

          <mat-cell *cdkCellDef="let element" style="text-align: center">
            <mat-chip-list>
              <mat-chip [ngClass]="{'mat-blue-100-bg': element.debt == 'DUE', 'mat-red-100-bg':element.debt == 'OVERDUE', 'mat-primary-100-bg':element.debt == 'FREE'}"
                style="width:180px; text-align: center;" selected> {{ element.agreement == "FREE" ? 'Contrato sem
                Pagamento' : (element.debt == 'DUE' ? 'Em Dia' : element.debt == 'OVERDUE' ? 'Em Atraso' : '-') }}</mat-chip>
            </mat-chip-list>
          </mat-cell>
        </ng-container>

        <mat-header-row *matHeaderRowDef="displayedColumns" [ngClass]="primaryColorBrand"></mat-header-row>
        <mat-row *cdkRowDef="let row; columns: displayedColumns;" class="product" matRipple (click)="selectContract(row)">
        </mat-row>

      </mat-table>

      <mat-paginator #paginator [length]="resultLength" [pageSize]="10" [pageSizeOptions]="[10, 50, 100]">
      </mat-paginator>

    </div>

  </div>

</div>
